Package: groovy.io

## [Java] Enum FileVisitResult

- groovy.io.FileVisitResult

- Represents special return values for the 'preDir', 'postDir' and 'visit'/supplied Closures used with ResourceGroovyMethods.traverse and related methods to control subsequent traversal behavior.

- - ### Enum Constants Summary

    Enum constants classes
    Enum constant | Description
    --- | ---
    `CONTINUE` |
    `SKIP_SIBLINGS` |
    `SKIP_SUBTREE` |
    `TERMINATE` |

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Enum` | `name, equals, toString, hashCode, compareTo, compareTo, valueOf, getDeclaringClass, ordinal, wait, wait, wait, getClass, notify, notifyAll`
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Enum Constant Detail

    - #### FileVisitResult CONTINUE

    - #### FileVisitResult SKIP_SIBLINGS

    - #### FileVisitResult SKIP_SUBTREE

    - #### FileVisitResult TERMINATE